Bug Hunting Session
Bug 99334 - Crashes when sorting table by columns with umlauts
Summary: Crashes when sorting table by columns with umlauts
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-15 17:38 UTC by c433551
Modified: 2018-12-10 17:52 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description c433551 2016-04-15 17:38:08 UTC
When I try to sort a table by columns that contain any umlauts, all instances of Writer immediately crash.

It works when sorting the table only by columns without umlauts or removing the umlauts. The error is reproducible.
Comment 1 MM 2016-04-15 18:58:49 UTC
V4.3 is an old version and no longer supported, so you might wanna try a newer one.
If the crash still happens with a new version, could you supply an example or a steps to reproduce ?
Comment 2 QA Administrators 2016-11-08 12:34:43 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2016-12-07 12:37:48 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2018-12-10 17:52:32 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e34fd6f86f15c96bb42466cc4179f1288863a428%5E%21

uitest for bug tdf#81292 and tdf#99334 - Sort table

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.